apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
  name: "trust-api-ingress"
spec:
  rules:
    - host: {INSERT_URL_HERE}
      http:
        paths:
          - backend:
              service:
                name: "trust-api"
                port:
                  number: 8080
            path: /
            pathType: ImplementationSpecific
  tls:
    - hosts:
        - {INSERT_URL_HERE}
      secretName: {INSERT_SECRET_URL_HERE}
